Bem-vindo, Visitante
Nome do utilizador: Senha: Memorizar

TÓPICO: Consequências da remoção do libwebkitgtk-1.0

Consequências da remoção do libwebkitgtk-1.0 05 Dez. 2016 16:06 #10692

  • Lura
  • Avatar de Lura
  • Offline
  • Mensagens: 13
  • Obrigado recebido 3
Boa tarde:
Vou directa ao assunto, quando executei o primeiro comando que indica para reparar as configurações isto foi o que obtive:
sara@SB-PC:~$ sudo apt-get install -f
[sudo] password for sara:
A ler as listas de pacotes... Pronto
A construir árvore de dependências
A ler a informação de estado... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
firefox-locale-pt fritzing-data kde-l10n-engb kde-l10n-pt kde-l10n-ptbr
libqt4-webkit:i386 linux-headers-3.13.0-34 linux-headers-3.13.0-34-generic
linux-image-3.13.0-34-generic linux-image-extra-3.13.0-34-generic
linux-signed-image-3.13.0-34-generic
Utilize 'apt-get autoremove' para os remover.
0 pacotes actualizados, 0 pacotes novos instalados, 0 a remover e 43 não actualizados.
3 pacotes não totalmente instalados ou removidos.
Após esta operação, serão utilizados 0 B adicionais de espaço em disco.
A instalar linux-image-extra-3.13.0-101-generic (3.13.0-101.148) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.13.0-101-generic /boot/vmlinuz-3.13.0-101-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.13.0-101-generic /boot/vmlinuz-3.13.0-101-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.13.0-101-generic /boot/vmlinuz-3.13.0-101-generic
update-initramfs: Generating /boot/initrd.img-3.13.0-101-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.13.0-101-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: erro ao processar o pacote linux-image-extra-3.13.0-101-generic (--configure):
subprocesso script post-installation instalado retornou erro do status de saída 1
dpkg: problemas com dependências impedem a configuração de linux-image-generic:
linux-image-generic depende de linux-image-extra-3.13.0-101-generic; no entanto:
O pacote linux-image-extra-3.13.0-101-generic ainda não está configurado.

dpkg: erro ao processar o pacote linux-image-generic (--configure):
problemas com dependências - a deixar por configurar
dpkg: problemas com dependências impedem a configuração de linux-generic:
linux-generic depende de linux-image-generic (= 3.13.0.101.109); no entanto:
O pacote linux-image-generic ainda não está configurado.

dpkg: erro ao processar o pacote linux-generic (--configure):
problemas com dependências - a deixar por configurar
Nenhum relatório apport escrito pois a mensagem de erro indica que é um erro de seguimento de um erro anterior.
Nenhum relatório apport escrito pois a mensagem de erro indica que é um erro de seguimento de um erro anterior.
Foram encontrados erros enquanto processava:
linux-image-extra-3.13.0-101-generic
linux-image-generic
linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Confesso que estou quase a desistir, gostava muito de ter o colibri e o gimp a funcionar neste computador, porque o gimp já sei usar e é a minha ferramenta preferencial para realização de cartazes e manipulação de fotos, o colibri porque preciso de um software para facturação simples de uma "microempresa", mas está a ser tão complicado, coloquei o computador nas mãos de um técnico a pensar que ia ficar tudo instalado e resolvido, mas não ficou e agora que estou a tentar fazer tudo com a sua ajuda tb parece um ciclo vicioso de erro, atrás de erro. Mais uma vez muito obrigada pela sua ajuda.
Desculpe o desabafo...
O adminstrador desactivou a escrita pública.

Consequências da remoção do libwebkitgtk-1.0 02 Dez. 2016 18:08 #10685

  • ricardosimoes
  • Avatar de ricardosimoes
  • Offline
  • Mensagens: 83
  • Obrigado recebido 33
Lura escreveu:
...Quanto Java eu penso que já instalei o 8 da Oracle (talvez até mais do que uma vez), mas tentei escrever o que mostrou e aconteceu isto:
"...:~$ sudo add-apt-reportory ppa:webupd8team/java -y
sudo: add-apt-reportory: command not found"

Atenção que está a escrever o comando mal, não é reportory é repository

Tente copiar e colar exactamente os comandos abaixo para evitar erros de digitação, tem de ser tudo igual minusculas, maiusculas, etc

Mas execute no terminal primeiro o comando abaixo para reparar as configurações que estão em falta (leio isso na mensagem de erro que mostrou)
sudo apt-get install -f

Isto deverá resolver os erros e depois já pode normalmente instalar novos programas, ou reinstalar.

Execute o comando abaixo no terminal para voltar a ter o GIMP
sudo apt install gimp -y

Depois execute os comandos abaixo 1 por linha para instalar o JAVA 8 da Oracle
sudo add-apt-repository ppa:webupd8team/java -y
sudo apt-get update
sudo apt-get install oracle-java8-installer -y

Depois diga aqui se resolveu. Boa sorte ;)
Ricardo Simões
Técnico de Informática
usa Sistema Operativo Linux Xubuntu 16.04 LTS x64
Tradutor voluntário de aplicações Open Source
Última Edição: 02 Dez. 2016 18:11 por ricardosimoes.
O adminstrador desactivou a escrita pública.

Consequências da remoção do libwebkitgtk-1.0 02 Dez. 2016 17:23 #10684

  • Lura
  • Avatar de Lura
  • Offline
  • Mensagens: 13
  • Obrigado recebido 3
Boa tarde:

Tentei fazer exatamente o que escreveu, e obtive isto
"... dpkg: erro ao processar o pacote linux-image-generic (--configure):
problemas com dependências - a deixar por configurar
dpkg: problemas com dependências impedem a configuração de linux-generic:
linux-generic depende de linux-image-generic (= 3.13.0.101.109); no entanto:
O pacote linux-image-generic ainda não está configurado.

dpkg: erro ao processar o pacote linux-generic (--configure):
problemas com dependências - a deixar por configurar
A instalar libwebkitgtk-1.0-0:amd64 (2.4.10-0ubuntu0.14.04.1) ...Nenhum relatório apport escrito pois a mensagem de erro indica que é um erro de seguimento de um erro anterior.
Nenhum relatório apport escrito pois a mensagem de erro indica que é um erro de seguimento de um erro anterior.

A instalar gimp (2.8.10-0ubuntu1.1) ...
A processar 'triggers' para libc-bin (2.19-0ubuntu6.9) ...
Foram encontrados erros enquanto processava:
linux-image-extra-3.13.0-101-generic
linux-image-generic
linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)"

Quanto ao Java eu penso que já instalei o 8 da Oracle (talvez até mais do que uma vez), mas tentei escrever o que mostrou e aconteceu isto:
"...:~$ sudo add-apt-reportory ppa:webupd8team/java -y
sudo: add-apt-reportory: command not found"
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: ricardosimoes

Consequências da remoção do libwebkitgtk-1.0 30 Nov. 2016 16:13 #10666

  • ricardosimoes
  • Avatar de ricardosimoes
  • Offline
  • Mensagens: 83
  • Obrigado recebido 33
Lura escreveu:
...Mais uma vez, muito obrigada e perdoe a minha ignorância, eu apenas sou utilizadora de um computador com linux por opção (podemos considerar politica e financeira) que quer trabalhar e ter acesso a boas ferramentas de trabalho livres...

Sara, ninguém nasce ensinado. Não tem de pedir desculpa por não estar há vontade na informática. Lido há 16 anos com utilizadores e tenho todo o gosto em ensinar o que sei.

Se usa Linux acredite que não existe melhor sistema operativo no nosso sistema solar, e quando algum utilizador do Windows disser o contrário pode rir-se dele pois 90% dos servidores da internet são Linux, a NASA usa Linux, a Bolsa de NY usa Linux, o CERN usa Linux, está nas nossas BOXs da TV por cabo, nos routers, nas TVs, e até nos telemóveis Android desses amantes do Windows (ou seja, eles usam Linux e nem sabem).

E agora vamos ao que interessa: por isso a trabalhar.

Pressione as teclas Ctrl+Alt+T para abrir a janela do terminal e escreva
sudo apt install gimp -y

Ele vai pedir a sua password, escreve-a e dê enter, não vai ver qualquer letra a aparecer mas é mesmo assim.

Depois disto terá o GIMP de volta ;)

Para além do GIMP existe o PINTA que também pode ser interessante para si... usa GIMP porque é profissional de imagem, ou quer apenas fazer edição de imagem dia-a-dia?

Em relação ao erro do JAVA, é necessário ter o JAVA 8 da Oracle instalado e para isso eu faço o seguinte no terminal (enter no final de cada linha)
sudo add-apt-repository ppa:webupd8team/java -y
sudo apt-get update
sudo apt-get install oracle-java8-installer -y

Depois disto volte a tentar correr o Colibri e diga como correu sff
Ricardo Simões
Técnico de Informática
usa Sistema Operativo Linux Xubuntu 16.04 LTS x64
Tradutor voluntário de aplicações Open Source
Última Edição: 30 Nov. 2016 16:15 por ricardosimoes.
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: Lura

Consequências da remoção do libwebkitgtk-1.0 30 Nov. 2016 15:49 #10664

  • Lura
  • Avatar de Lura
  • Offline
  • Mensagens: 13
  • Obrigado recebido 3
Muito Obrigada Ricardo!

Infelizmente, percebo muito pouco de informática, e por isso grande parte do que escreveu para mim é um pouco chinês.

Para instalar o colibri, também passei por seguir ao pormenor o vídeo que já existe. Inicialmente não ia remover o libwebkitgtk, mas ao fazer login dava erro Java Envoirment, por isso e como neste fórum este erro já tinha sido relatado e resolvido removendo este programa, acabei por fazê-lo e o que é facto é que resolveu e o colibri já abre.

Para desinstalar o libwebkitgtk, usei o synaptic, mas foi a primeira vez que o usei e confesso que tenho algum medo de começar a mexer e fazer asneira (já perdi o gimp, sei saber como, e chega).

Neste momento a minha questão é só: posso voltar a instalar o gimp?

Outra questão, no meio desta coisa toda de repente comecei a receber a mensagem de que o meu computador tem toda a memória bot ocupada, devo preocupar-me com isso?

Mais uma vez, muito obrigada e perdoe a minha ignorância, eu apenas sou utilizadora de um computador com linux por opção (podemos considerar politica e financeira) que quer trabalhar e ter acesso a boas ferramentas de trabalho livres.

Com os melhores cumprimentos,

Sara
O adminstrador desactivou a escrita pública.

Consequências da remoção do libwebkitgtk-1.0 29 Nov. 2016 20:54 #10662

  • ricardosimoes
  • Avatar de ricardosimoes
  • Offline
  • Mensagens: 83
  • Obrigado recebido 33
marcolopes escreveu:
Relembro que já existe um tutorial com VIDEO para a instalação em Linux: www.projectocolibri.com/forum/faq-pergun...cto-colibri-em-linux

É verdade Marco, e muito agradeço o bom trabalho, e parabéns pelo vosso video, que eu em nada quero menosprezar e/ou querer subsitituir.

Simplesmente, o video que estou a pensar fazer é para outras versões que não ubuntu (unity), tipo Xubuntu (XFCE) , Lubuntu (LXDE), MATE, Arch, etc, e mostrava também muitos tweaks tipo criar um launcher, criar um item de menu para o Colibri, etc, etc, etc, enfim todos os "truques" que eu uso ;)

Seria um video principalmente para pessoas que não estão há vontade em Linux... são cada vez mais as pessoas que querem sair da "prisão" do Windows ;)
Ricardo Simões
Técnico de Informática
usa Sistema Operativo Linux Xubuntu 16.04 LTS x64
Tradutor voluntário de aplicações Open Source
Última Edição: 29 Nov. 2016 20:55 por ricardosimoes.
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: marcolopes
Moderadores: marcolopes
Desenvolvido por Kunena